# Package org.apache.cassandra.db.index

Interface Summary
SecondaryIndexManager.Updater

Class Summary
AbstractSimplePerColumnSecondaryIndex: Implements a secondary index for a column family using a second column family in which the row keys are indexed values, and column names are base row keys.
PerColumnSecondaryIndex: Base class for Secondary indexes that implement a unique index per column
PerRowSecondaryIndex: Base class for Secondary indexes that implement a unique index per row
SecondaryIndex: Abstract base class for different types of secondary indexes.
SecondaryIndexBuilder: Manages building an entire index from column family data.
SecondaryIndexManager: Manages all the indexes associated with a given CFS Different types of indexes can be created across the same CF
SecondaryIndexSearcher

Exception Summary
IndexNotAvailableException: Thrown if a secondary index is not currently available.